#include <Bits/stdc++.h>

using namespace std;

vector<int> a;

int main()
{
    int n, k;
    scanf("%d%d", &n, &k);
    for(int i=0;i<2*n+5;i++) a.push_back(0);
    for(int i=0;i<n;i++)
    {
        int l;
        scanf("%d", &l);
        a[l+n]++;
    }
    int br=0;
    for(int i=0;i<=2*n;i++) if(a[i]>=k) br++;
    printf("%d\n", br);
    for(int i=0;i<=2*n;i++) if(a[i]>=k) printf("%d ", i-n);
    return 0;
}